PHONY: stakers-from-graph
stakers-from-graph: ## Get stakers list from The Graph
	go run ./src-go/stakers/cmd/from_graph/main.go

PHONY: stakers-from-events
stakers-from-events: gen-contracts ## Get stakers list from Deposit contract events
	go run ./src-go/stakers/cmd/from_event/main.go

PHONY: stakers-audit
stakers-audit: ## Get stakers list from Deposit contract events
	go run ./src-go/stakers/cmd/audit/main.go

PHONY: gen-contracts
gen-contracts: ## generate golang bindings from abi spec
	rm -rf ./src-go/stakers/generated/deposit_contract/ && mkdir -p ./src-go/stakers/generated/deposit_contract/
	abigen --abi ./src-go/stakers/internal/service/from_event/abi.json --pkg deposit_contract --out ./src-go/stakers/generated/deposit_contract/deposit_contract.go

# Unit test section
.PHONY: test-unit
test-unit: ## Unit testing
	go test -v ./src-go/stakers/internal/...

# linter section
# golangci-lint version should be gte 1.50.0
.PHONY: lint
lint:
	golangci-lint run -v ./src-go/stakers/...
